QXmpp: QXmppOutgoingClient Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | Friends | List of all members
QXmppOutgoingClient Class Reference

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server. More...

`#include <QXmppOutgoingClient.h>`

Inheritance diagram for QXmppOutgoingClient:

## Signals
void | error (QXmppClient::Error)
| This signal is emitted when an error is encountered.
void | elementReceived (const QDomElement &element, bool &handled)
| This signal is emitted when an element is received.
void | presenceReceived (const QXmppPresence &)
| This signal is emitted when a presence is received.
void | messageReceived (const QXmppMessage &)
| This signal is emitted when a message is received.
void | iqReceived (const QXmppIq &)
| This signal is emitted when an IQ is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions
| QXmppOutgoingClient (QObject *parent)
| ~QXmppOutgoingClient ()
| Destroys an outgoing client stream.
void | connectToHost ()
| Attempts to connect to the XMPP server.
bool | isAuthenticated () const
| Returns true if authentication has succeeded.
bool | isConnected () const
| Returns true if the socket is connected and a session has been started.
QSslSocket * | socket () const
QXmppStanza::Error::Condition | xmppStreamError ()
| Returns the type of the last XMPP stream error that occured.
QXmppConfiguration & | configuration ()
| Returns a reference to the stream's configuration.
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream ()
| Destroys a base XMPP stream.
bool | sendPacket (const QXmppStanza &)
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Friends
class | QXmppOutgoingClientPrivate

## Additional Inherited Members
Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)
Protected Member Functions inherited from QXmppStream
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0

## Detailed Description

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server.

## Constructor & Destructor Documentation

QXmppOutgoingClient::QXmppOutgoingClient | ( | QObject * | parent | ) |

Constructs an outgoing client stream.

Parameters

  parent |

## Member Function Documentation

QSslSocket* QXmppOutgoingClient::socket | ( |  | ) | const
| inline

Returns the QSslSocket used for this stream.

Reimplemented from QXmppStream.

The documentation for this class was generated from the following files:

- QXmppOutgoingClient.h
- QXmppOutgoingClient.cpp